## penguintv 3.8-1

=== debian/changelog ===
penguintv (3.8-1) stable; urgency=low

  2008-09-29  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Build our own version of gtkmozembed and include in packaging

 -- Owen Williams <owen-maemo@ywwg.com>  Tue, 30 Sep 2008 09:52:38 +0000
