## penguintv 3.8-2

=== debian/changelog ===
penguintv (3.8-2) stable; urgency=low

  2008-09-29  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Build our own version of gtkmozembed and include in packaging

 -- Owen Williams <owen-maemo@ywwg.com>  Wed, 01 Oct 2008 12:24:54 +0000
