=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir -p debian/build-gtkmozembed
	cd debian/build-gtkmozembed && PYTHON=/usr/bin/python2.5 ../../gtkmozembed/configure    \
		--host=$(DEB_HOST_GNU_TYPE)	     \
		--build=$(DEB_BUILD_GNU_TYPE)	   \
		--prefix=/usr \
		--with-gtkmozembed=gtkembedmoz

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	PYTHON=/usr/bin/python2.5 $(MAKE) -C debian/build-gtkmozembed
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	
	PYTHON=/usr/bin/python2.5 $(MAKE) -C debian/build-gtkmozembed install DESTDIR=$(CURDIR)/debian/tmp-gtkmozembed
	
	dh_installdirs
	
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed"
	cp -a "$(CURDIR)/debian/tmp-gtkmozembed/usr/lib/python2.5/site-packages/gtk-2.0/gtkmozembed.so" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed/gtkmozembed.so"

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/penguintv" install
	mkdir -p "$(CURDIR)/debian/penguintv"

#	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "share/pixmaps/26x26/penguintvicon.png" "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/26x26/hildon/penguintvicon.png"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/defaultsubs.opml" "$(CURDIR)/debian/penguintv/usr/share/penguintv/defaultsubs.opml"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/mozilla-planet-hildon.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla-planet-hildon.css"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/mozilla-planet.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla-planet.css"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/mozilla.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla.css"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/penguintv.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/penguintv.glade"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
	cp -a "share/penguintvicon.png" "$(CURDIR)/debian/penguintv/usr/share/penguintv/penguintvicon.png"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "share/penguintvicon.png" "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/scalable/hildon/penguintvicon.png"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/bin/"
	cp -a "bin/PenguinTV" "$(CURDIR)/debian/penguintv/usr/bin/PenguinTV"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed/"
	cp -a "penguintv/ptvmozembed/__init__.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed/__init__.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/dbus-1/services/"
	cp -a "share/penguintv.service" "$(CURDIR)/debian/penguintv/usr/share/dbus-1/services/penguintv.service"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/AddFeedDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/AddFeedDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/AddFeedUtils.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/AddFeedUtils.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/AddSearchTagDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/AddSearchTagDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/ArticleSync.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ArticleSync.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/BTDownloader.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/BTDownloader.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/DownloadView.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/DownloadView.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/Downloader.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/Downloader.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/EditSearchesDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/EditSearchesDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/EntryFormatter.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/EntryFormatter.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/EntryList.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/EntryList.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/EntryView.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/EntryView.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FeedFilterDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FeedFilterDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FeedFilterPropertiesDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FeedFilterPropertiesDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FeedList.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FeedList.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FeedPropertiesDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FeedPropertiesDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FilterSelectorDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FilterSelectorDialog.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/FtpSyncClient.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FtpSyncClient.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/GStreamerPlayer.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/GStreamerPlayer.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
	cp -a "penguintv/HTTPDownloader.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/HTTPDownloader.py"
	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
