## penguintv 3.9.0-1

=== debian/changelog ===
penguintv (3.9.0-1) stable; urgency=low

  2008-10-04  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Improve load time and UI of maemo version

 -- Owen Williams <owen-maemo@ywwg.com>  Sat, 04 Oct 2008 17:46:57 +0000
