## penguintv 3.9.1-2

=== debian/changelog ===
penguintv (3.9.1-2) stable; urgency=low

  2008-10-04  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Improve load time and UI of maemo version

 -- Owen Williams <owen-maemo@ywwg.com>  Mon, 06 Oct 2008 20:09:00 +0000
