## penguintv 3.9.1-3

=== debian/changelog ===
penguintv (3.9.1-3) stable; urgency=low

  2008-10-04  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Improve load time and UI of maemo version

 -- Owen Williams <owen-maemo@ywwg.com>  Tue, 07 Oct 2008 10:18:23 +0000
