## penguintv 3.9.2-1

=== debian/changelog ===
penguintv (3.9.2-1) stable; urgency=low

  2008-10-04  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Improve load time and UI of maemo version

 -- Owen Williams <owen-maemo@ywwg.com>  Fri, 10 Oct 2008 14:02:47 +0000
