## penguintv 3.9.3-1

=== debian/changelog ===
penguintv (3.9.3-1) stable; urgency=low

  2008-10-04  Owen Williams  <owen-maemo@ywwg.com>
  
  	* (maemo) Improve load time and UI of maemo version

 -- Owen Williams <owen-maemo@ywwg.com>  Sun, 12 Oct 2008 15:25:48 +0000
