=== debian/control ===
Source: penguintv
Section: user/communication
Priority: extra
Maintainer: Owen Williams <owen-maemo@ywwg.com>
Build-Depends: debhelper (>= 5), python2.5, python2.5-dev, python2.5-imaging, python2.5-numeric, gnupg, python2.5-gstreamer, libosso-gnomevfs2-dev, libgtkmozembed-dev, python2.5-gtk2-dev, libgtk2.0-dev, python2.5-setuptools 
Standards-Version: 3.7.2

Package: penguintv
Architecture: any
Depends: python2.5, python2.5-pycurl, python2.5-xml, gconf2, python2.5-gnome, python2.5-gobject, python2.5-gtk2, python2.5-gstreamer, python2.5-imaging
Description: A full-featured RSS reader with built-in podcast support
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gJARMkDRYsscQAAARqSURBVEjHnZVdbBVFFMf/szu797u9d+9tSymt
 qKWWIhWiISACkVBCqbFSNRKhT0SqCfBi0sQYwRBMykcMCCYN6IMmBInBF0sM
 D2gqUIFC7UOlUaC0Usotl173fu/enZ3xBRtqby9tJ9lkM2fm/M6cOec/BLMY
 9Uf73wCQgRDnftpVM+W6DUf+kDP/3Oedn64T0pOcut1umVK6hhDygSRJb1FK
 fQDOA6gC8FXdwe7QFMHUcGaeykTvzQUAkg9CKS0OBoPfG4axKhaLEQAghAzJ
 slzHGLtZf7S/UnB7n5WOHTv/0cqLjwAQNttsJh6uTY/da71yeKueFxQIBIiu
 62f8fv8mSikikci4jRDyYygUej0SiaD+aL9T2OyzbEq/7fAFewS3lxvxh874
 3b4DPSd28vE9U4FUVS3NZrNDAJRJJ3W4E+sOXGkjEo0DSAEoYVzfTbQ4I7FA
 jKfJPur2nBUQJiEiCy4n6FQgxlh5LggAKJrTR6r/2mMPByRjOCWxpAGAEDrm
 heLOemih2g5fNEa8SQdSnqw96n2H5rkibSqDJLzW/VMDY6z3dLCv95r8WGaE
 RFWoXo1plS+5Kjc3W57FKYc1YJv5QIVTFonbSdJjw8pAX6/6PxPhLEsMPSyN
 XOuARNVUTeh9l6GPhnOWdzKZBCFkUaHfn/MaFa+PFjz9rMQYE/mqlhkpwnXV
 MuORuzlBmqYVFxUVtWhaAMBkXyIjwb/wOS6rrkw+kCtYJnOTD/Wc2JGcBAoG
 g2CM7Q+Hw8V3Bu7kdDB26xoe9v+K0hcbzHygwIJaEChXAWASKBaL1XHOm/PK
 hRC48c0RraK+QZq3vCkjO9zWJEUJzksEqhczYYkLk/pIVVWPZVk9Qoiq6Whe
 4PlKsaz1OBD38cTQoJ0ZG+ZWVocScKGgulRS3SUjqRuJVV0H3x6WJwYq9goh
 GqcrrsaDKKG29qVt2ockRX3KHao46ZtTNejSStPChMMKi18utTV9OyF1Tqez
 QAjRMlMlv3vxdHWovOqM4iq4lQzf/uTnj1dvU2jwGNIekRr9e9d47z2mBKuF
 EIGZgjL66CudbW+W2Vmjm7MseSSGZVYmca7nxI74eO/992Pbds1s3ibBbaeZ
 iO65tH/T9vE5ZpUa+ujeCWryeKFglkMIUTmh4R8MdjIjOZJzsd+ntD3qzhl/
 a5coI5fbq8ryBSMBgKX3YUudc9lsT9T0Ki0NuSMdvcdLPuxqr52TE3Sz412S
 7F6/c+sGrCZkdqCXa2WUV/Alc0OZQ9QcacgJKnJe2OZRU0eWLpDkmvnyjCEl
 GkFVuQxCACEAGzyZE5TmRT+YzPEdIbC3N6ozBm1coUBVAM4BiwmA85zPizR3
 fU9UXX51SzQZXN+0xvVnRYk0bQiVgfc2KoiMcgwP8Ww0Kndz4u5/4sbfT75Q
 uLvZ26FQ8OlUW+MKdfD6F4WHf/s8tPFC+9IQN+9MPxVdp1+TFj5TsBJAK4Cv
 AZwDcBnAdQCXAJwFcBxAS+2i+dPO9b+1tuzqFEHVXAAAAABJRU5ErkJggg==
