=== debian/rules ===
--- 
+++ 
@@ -64,18 +64,24 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/penguintv" install
 	mkdir -p "$(CURDIR)/debian/penguintv"
 
-#	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/26x26/hildon/"
+#	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/"
+	cp -a "share/glade/dialogs.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/dialogs.glade"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/"
+	cp -a "share/glade/hildon.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/hildon.glade"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/"
+	cp -a "share/glade/hildon_dialog_add_feed.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/hildon_dialog_add_feed.glade"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/"
+	cp -a "share/glade/hildon_dialogs.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/hildon_dialogs.glade"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/"
+	cp -a "share/glade/hildon_planet.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/glade/hildon_planet.glade"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/pixmaps/"
+	cp -a "share/pixmaps/throbber.gif" "$(CURDIR)/debian/penguintv/usr/share/penguintv/pixmaps/throbber.gif"
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/26x26/hildon/"
 	cp -a "share/pixmaps/26x26/penguintvicon.png" "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/26x26/hildon/penguintvicon.png"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
 	cp -a "share/defaultsubs.opml" "$(CURDIR)/debian/penguintv/usr/share/penguintv/defaultsubs.opml"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
 	cp -a "share/mozilla-planet-hildon.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla-planet-hildon.css"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
-	cp -a "share/mozilla-planet.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla-planet.css"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
-	cp -a "share/mozilla.css" "$(CURDIR)/debian/penguintv/usr/share/penguintv/mozilla.css"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
-	cp -a "share/penguintv.glade" "$(CURDIR)/debian/penguintv/usr/share/penguintv/penguintv.glade"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/penguintv/"
 	cp -a "share/penguintvicon.png" "$(CURDIR)/debian/penguintv/usr/share/penguintv/penguintvicon.png"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/share/icons/hicolor/scalable/hildon/"
@@ -119,9 +125,3 @@
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
 	cp -a "penguintv/FilterSelectorDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FilterSelectorDialog.py"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/FtpSyncClient.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FtpSyncClient.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/GStreamerPlayer.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/GStreamerPlayer.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/HTTPDownloader.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/HTTPDownloader.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
