## penguintv 3.9.4-2

=== debian/changelog ===
penguintv (3.9.4-2) stable; urgency=low

  2008-11-29  Owen Williams  <owen@ywwg-1330>
  
  	* (maemo) Use gtkhtml instead of mozilla on maemo to reduce RAM usage

 -- Owen Williams <owen-maemo@ywwg.com>  Sun, 14 Dec 2008 20:39:16 +0000
