=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: penguintv
-Section: user/communication
+Section: user/network
 Priority: extra
 Maintainer: Owen Williams <owen-maemo@ywwg.com>
 Build-Depends: debhelper (>= 5), python2.5, python2.5-dev, python2.5-imaging, python2.5-numeric, gnupg, python2.5-gstreamer, libosso-gnomevfs2-dev, libgtkmozembed-dev, python2.5-gtk2-dev, libgtk2.0-dev, python2.5-setuptools
