## penguintv 4.0-0

=== debian/changelog ===
penguintv (4.0-0) stable; urgency=low

  2008-11-29  Owen Williams  <owen@ywwg-1330>
  
  	* (maemo) Use gtkhtml instead of mozilla on maemo to reduce RAM usage

 -- Owen Williams <owen-maemo@ywwg.com>  Sun, 15 Mar 2009 13:43:29 +0000
