=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 CFLAGS = -Wall -g
 
@@ -21,6 +26,12 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
+	mkdir -p debian/build-gtkmozembed
+	cd debian/build-gtkmozembed && PYTHON=/usr/bin/python2.5 ../../gtkmozembed/configure    \
+		--host=$(DEB_HOST_GNU_TYPE)	     \
+		--build=$(DEB_BUILD_GNU_TYPE)	   \
+		--prefix=/usr \
+		--with-gtkmozembed=gtkembedmoz
 
 	touch configure-stamp
 
@@ -28,6 +39,7 @@
 
 build-stamp: configure-stamp
 	dh_testdir
+	PYTHON=/usr/bin/python2.5 $(MAKE) -C debian/build-gtkmozembed
 	touch build-stamp
 
 clean:
@@ -40,7 +52,13 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	
+	PYTHON=/usr/bin/python2.5 $(MAKE) -C debian/build-gtkmozembed install DESTDIR=$(CURDIR)/debian/tmp-gtkmozembed
+	
 	dh_installdirs
+	
+	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed"
+	cp -a "$(CURDIR)/debian/tmp-gtkmozembed/usr/lib/python2.5/site-packages/gtk-2.0/gtkmozembed.so" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/ptvmozembed/gtkmozembed.so"
 
 	# ======================================================
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/penguintv" install
@@ -107,13 +125,3 @@
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
 	cp -a "penguintv/FeedPropertiesDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FeedPropertiesDialog.py"
 	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/FilterSelectorDialog.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FilterSelectorDialog.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/FtpSyncClient.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/FtpSyncClient.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/GStreamerPlayer.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/GStreamerPlayer.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/HTTPDownloader.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/HTTPDownloader.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
-	cp -a "penguintv/HildonListener.py" "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/HildonListener.py"
-	mkdir -p "$(CURDIR)/debian/penguintv/usr/lib/python2.5/site-packages/penguintv/"
