## penguintv 4.2.0

=== debian/changelog ===
penguintv (4.2.0-0ubuntu3) trusty; urgency=medium

  * Port to dh_python2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 26 Jan 2014 22:45:42 +0000

penguintv (4.2.0-0ubuntu2) oneiric; urgency=low

  * Add a webkit backend and use that by default rather than gtkmozembed.
    GtkMozEmbed has been abandoned upstream, and we are planning to remove
    xulrunner from Ubuntu entirely
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance)
    - update debian/control
    - add debian/patches/02-use-webkit-by-default.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Jun 2011 20:58:42 +0100

penguintv (4.2.0-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release.
   - Work around odd Ubuntu bug where gtkmozembed spews
     excess "open-uri" signals.  (LP: #629676)
   - Explicitly destroy moz object to prevent crashes when
     switching layouts.
   - Get proper duration of new tracks so seeks work.
   - Fix problem with improperly escaped urls for media downloads.
   - sqlite now doesn't like regular strings, so convert all
     strings to unicode before writing to DB.
   - Fix problems where video is popping up in a new window.
   - Try to detect internet failure better.
   - And many more.

  * debian/rules: Move deletion of feedparser.py to install
    target and use find to make sure it is completely gone.
    Fixes issue with pycentral trying to byte-compile the
    non-existing file on install/upgrade. (LP: #635755)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 29 Sep 2010 17:57:30 -0400

penguintv (4.1.0-0ubuntu1) maverick; urgency=low

  [ Cosmin LUPU ]
  * New upstream release. (LP #497020).
  * debian/patches/02-fix-desktop-file.patch removed. Fixed in 4.1.0.
  * debian/patches/03-fix-explicit-python2.5.patch removed. Fixed in 4.1.0.

  [ Andrew Starr-Bochicchio ]
  * Convert to Debian Source Format 3.0 (quilt).
  * debian/control:
   - Bump Standards-Version to 3.8.4
   - Drop un-needed python-dev Build-Dep, no arch:any package built.
  * debian/coptright: Point to exact versions of the GPL.
  * debian/rules: Don't try to delete feedparser from pyshared until after
    python-central has been called or we never really get rid of it.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 10 May 2010 22:24:29 -0400

penguintv (4.0.0-0ubuntu4) lucid; urgency=low

  * debian/control: removed unused dependency on python-gtkhtml2 (LP: 538773)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 22 Apr 2010 21:02:47 +0200

penguintv (4.0.0-0ubuntu3) lucid; urgency=low

  * debian/control:
    - Replace python-gnome2-extras dependency with python-gtkhtml2
      and python-gtkmozembed. The former package was split and no longer
      exists.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Tue, 15 Dec 2009 22:04:47 +0000

penguintv (4.0.0-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Replace unnecessary depends on python-{gnome2,glade2} with the following
      ones:
      + python-gobject
      + python-gtk2
      + python-gconf
    - Bump Standards up to 3.8.3.
    - Bump build-dependencies as per Python new spec.
  * debian/rules:
    - Remove deprecated dh_desktop call to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 07 Dec 2009 18:55:32 +0100

penguintv (4.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #363457).
  * Refresh 03-fix-explicit-python2.5.patch patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 May 2009 19:23:37 +0200

penguintv (3.6.5-0ubuntu3) jaunty; urgency=low

  * debian/rules:
    - remove /usr/share/pyshared-data/penguintv in the build-tree
      before runnign dh_pycentral again to force rebuild of the
      data (LP: #352369)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 17:17:51 +0200

penguintv (3.6.5-0ubuntu2) jaunty; urgency=low

  [ Fabrice Coutadeur ]
  * debian/rules: delete feedparser.py file in installation tree to fix a FTBFS
    (LP: #342116)
  
  [ Daniel Holbach ]
  * debian/control: bump Standards-Version.
  * debian/patches/02-fix-desktop-file.patch: remod obsolete encoding entry.
  * debian/patches/03-fix-explicit-python2.5.patch: drop explicit use of 
    python2.5.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Fri, 13 Mar 2009 04:58:03 +0000

penguintv (3.6.5-0ubuntu1) jaunty; urgency=low

  [ Julien Lavergne ]
  * New upstream release (LP: #306391)
  * debian/control
   - Add python-dbus as Depends.
   - Add python-feedparser as Depends to link to the Ubuntu feedparser package.
   - Add python-xapian as Recommends to add xapian search support.
   - Add python-gst0.10 as Recommends to add internal media playback.
  * debian/rules
   - Remove local feedparser.py
  * debian/patches/01-fix.setup.py.patch: Update.
  * debian/watch
   - Change tarbal location
  * debian/copyright
   - Licence is now GPL-3+.
   - Add GPL-2 file.
   - Add new copyright holder.

  [ James Westby ]
  * Change maintainer field to Ubuntu MOTU Developers.

 -- James Westby <james.westby@canonical.com>  Thu, 11 Dec 2008 14:27:48 -0800

penguintv (3.0-0ubuntu3) hardy; urgency=low

  * debian/control: drop python-xml Depends. (LP: #199014) 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 07 Mar 2008 12:49:03 +0100

penguintv (3.0-0ubuntu2) hardy; urgency=low

  * debian/watch: Added watchfile.
  * debian/control:
    - Bumped standards version
    - Added Homepage field (moved from long description)
  * debian/PenguinTV.1: Added manpage for PenguinTV
  * debian/manpages: Added to install new manpage
  * Closes lp: #182737
    
 -- Cody A.W. Somerville <cody-somerville@ubuntu.com>  Sun, 13 Jan 2008 21:38:39 -0400     

penguintv (3.0-0ubuntu1) gutsy; urgency=low

  * New upstream release.
  * debian/patches/01-fix-setup.py.patch: updated.
  * debian/control: drop a lot of unneeded Build-Depends.


