=== debian/control ===
Source: penguintv
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 5.0.38),
 cdbs (>= 0.4.49),
 python (>= 2.4),
 dh-python,
Standards-Version: 3.8.4
Homepage: http://penguintv.sourceforge.net/

Package: penguintv
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends},
 ${misc:Depends},
 python-pycurl,
 python-pysqlite2,
 python-libxml2,
 gconf2,
 python-webkit,
 python-pyrex,
 python-gtk2,
 python-gobject,
 python-gconf,
 python-dbus,
 python-feedparser
Recommends: python-gst0.10, python-xapian
Description: podcasts and video blogs for Linux
 PenguinTV has a light-weight but powerful interface that shows you what you 
 need to know, and hides what you don't. You can immediately see what you've 
 watched, what's available to view, and which media are downloading. You 
 don't have to worry about where files are stored, what their names are, or 
 what format they are in. Rather than try to reinvent the wheel by coding its 
 own media player, PenguinTV launches the media player of your choice to view 
 your downloads.
