=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES := penguintv

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/penguintv::
	find . -name 'feedparser.py' | xargs rm -f

binary-install/penguintv::
	rm -f $(DEB_DESTDIR)/usr/share/pyshared-data/penguintv

clean/penguintv::
	find . -name '*.pyc' | xargs rm -f
